---
search:
  tags:
    - Workbenches
    - PATCH
seo:
  description: >-
    Updates a workbench. The request body must be {} (no configurable fields).
    The server… Reference for the PATCH /workbenches/{id} endpoint in the Fuxam
    API v4.
sidebar:
  label: Update a workbench
  badge: PATCH
title: Update a workbench
type: openapi-operation
---
Updates a workbench. The request body must be `{}` (no configurable fields). The server refreshes `updatedAt` and returns the full workbench detail (same shape as GET). Scoped to your integration's institution via Basic Auth credentials.

`PATCH /workbenches/{id}`

**Request body** (`application/json`, required)

Request body example:

```json
{}
```

**Responses**

- `200` — Updated workbench
- `400` — Bad Request
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Not Found
- `422` — Unprocessable Entity — validation or business rule error
- `429` — Too Many Requests — 1000 requests per minute per institution. Includes \`X-RateLimit-Limit\`, \`X-RateLimit-Remaining\`, \`X-RateLimit-Reset\` (ISO-8601), and \`Retry-After\` (seconds).
- `500` — Internal Server Error

Response example, 200:

```json
{
  "data": {
    "id": "clxwb1234567890abcdef",
    "createdAt": "2024-01-15T10:30:00.000Z",
    "updatedAt": "2024-06-01T14:00:00.000Z",
    "pageCount": 1,
    "pages": [
      {
        "id": "clxpg1234567890abcdef",
        "position": 0
      }
    ]
  },
  "meta": {
    "requestId": "req_abc123",
    "timestamp": "2026-06-26T00:00:00.000Z",
    "version": "v4"
  }
}
```
